/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log: glut_tablet.c,v $
 * Revision 1.1.2.3  1996/02/16  15:15:56  Andy_Vesper
 * 	Glut 3.0 for R6
 * 	[1996/02/16  14:00:38  Andy_Vesper]
 *
 * Revision 1.1.2.3  1996/02/12  15:43:21  Andy_Vesper
 * 	Glut 3.0
 * 	[1996/02/09  21:16:15  Andy_Vesper]
 * 
 * Revision 1.1.2.2  1995/04/26  15:03:03  John_Dennis
 * 	new files from GLUT 2.1 release
 * 	[1995/04/25  15:51:07  John_Dennis]
 * 
 * $EndLog$
 */

/* Copyright (c) Mark J. Kilgard, 1994. */

/* This program is freely distributable without licensing fees
   and is provided without guarantee or warrantee expressed or
   implied. This program is -not- in the public domain. */

#include "glutint.h"

void
glutTabletMotionFunc(GLUTtabletMotionCB tabletMotionFunc)
{
  __glutCurrentWindow->tabletMotion = tabletMotionFunc;
  __glutUpdateInputDeviceMaskFunc = __glutUpdateInputDeviceMask;
  __glutPutOnWorkList(__glutCurrentWindow,
    GLUT_DEVICE_MASK_WORK);
  /* If deinstalling callback, invalidate tablet position. */
  if (tabletMotionFunc == NULL) {
    __glutCurrentWindow->tabletPos[0] = -1;
    __glutCurrentWindow->tabletPos[1] = -1;
  }
}

void
glutTabletButtonFunc(GLUTtabletButtonCB tabletButtonFunc)
{
  __glutCurrentWindow->tabletButton = tabletButtonFunc;
  __glutUpdateInputDeviceMaskFunc = __glutUpdateInputDeviceMask;
  __glutPutOnWorkList(__glutCurrentWindow,
    GLUT_DEVICE_MASK_WORK);
}
