/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log: glutbitmap.h,v $
 * Revision 1.1.2.2  1995/04/26  15:03:46  John_Dennis
 * 	new files from GLUT 2.1 release
 * 	[1995/04/25  15:51:48  John_Dennis]
 *
 * $EndLog$
 */
#ifndef __glutbitmap_h__
#define __glutbitmap_h__

/* Copyright (c) Mark J. Kilgard, 1994. */

/* This program is freely distributable without licensing fees 
   and is provided without guarantee or warrantee expressed or 
   implied. This program is -not- in the public domain. */

#include <GL/gl.h>

typedef struct {
  GLsizei width;
  GLsizei height;
  GLfloat xorig;
  GLfloat yorig;
  GLfloat advance;
  GLubyte *bitmap;
} BitmapCharRec, *BitmapCharPtr;

typedef struct {
  char *name;
  int num_chars;
  int first;
  BitmapCharPtr *ch;
} BitmapFontRec, *BitmapFontPtr;

typedef void *GLUTbitmapFont;

#endif /* __glutbitmap_h__ */
