$! 
$! @DEC_COPYRIGHT@
$!
$! HISTORY
$! $Log: vms_link_glut.com,v $
$! Revision 1.1.2.4  1996/02/16  15:16:17  Andy_Vesper
$! 	Glut 3.0 for R6
$! 	[1996/02/16  14:01:41  Andy_Vesper]
$!
$! Revision 1.1.2.4  1996/02/12  20:23:35  Andy_Vesper
$! 	Glut 3.0
$! 	[1996/02/12  16:38:34  Andy_Vesper]
$! 
$! Revision 1.1.2.3  1995/11/14  17:56:21  Andy_Vesper
$! 	Change name to decw$openglutshr.exe
$! 	[1995/11/14  16:03:25  Andy_Vesper]
$! 
$! Revision 1.1.2.2  1995/10/24  21:34:00  Andy_Vesper
$! 	Initial version
$! 	[1995/10/24  19:16:35  Andy_Vesper]
$! 
$! $EndLog$
$! 
$! This file will link the decw$openglutshr.exe shareable image for OpenVMS
$! Alpha AXP systems.
$!
$! It needs to be updated when any of the following change:
$!
$! IDENTIFICATION: GLUT v3.0
$! GSMATCH: LEQUAL,1,1
$! the list of files to link
$! entry points
$!
$!
$! We need to wait for other files to be created.
$! Wait for 30 minutes, then die. Wait 5 minutes at a time.
$! We need the following files before we try to link:
$!
$  file_list = "build$top:[extensions.glpeer.commonlib]decw$openglshr.exe," +-
	"build$top:[extensions.lib.gl.glu]decw$openglushr.exe"
$!
$! the .obj's in the current directory are known to be built;
$! the .obj's chosen from the sub-directories are the last ones to be built.
$!
$ loop_count = 0
$ goto try
$ loop:
$    loop_count = loop_count + 1
$    if loop_count .gt. 6 then goto abort_loop
$    wait 00:05:00
$ try:
$	num = 0
$ more_files:
$	file = f$element (num, ",", file_list)
$	if file .eqs. "," then goto end_loop	   ! all files found
$	if f$search (file) .eqs. "" then goto loop ! not there yet, try again
$       num = num + 1
$	goto more_files
$!
$ abort_loop:
$  write sys$error "Waited 30 minutes for needed files",-
	" to be created; quitting"
$	num = 0
$ loopx:
$	file = f$element (num, ",", file_list)
$	if file .eqs. "," then goto end_loopx
$	if f$search (file) .eqs. "" then write sys$error file, " not present"
$       num = num + 1
$	goto loopx
$ end_loopx:
$  exit
$!
$! successfully found all needed files
$!
$ end_loop:
$ if P1 .EQS. "DEBUG" 
$ THEN
$	DEBUG = "/DEBUG/TRACEBACK"
$ ELSE
$	DEBUG = "/NODEBUG/NOTRACEBACK"
$ ENDIF
$!
$  link /shareable=decw$openglutshr.exe/map=decw$openglutshr.map -
    'debug' sys$input:/opt
!
! Transfer vector for DECW$OPENGLUTSHR.EXE
! Note that these MUST REMAIN IN THIS ORDER.
! If an entry point becomes unused, it must remain as
! a dummy entry.
!
! There are 3 sub-lists -- external procedures,
! internal procedures that are used outside anyhow, and
! external data.
!
! New entry points must replace one of the spare procedures
! at the end of a sub-list.
!
! External Procedure names
!
SYMBOL_VECTOR=(glutInit=PROCEDURE)
SYMBOL_VECTOR=(glutInitDisplayMode=PROCEDURE)
SYMBOL_VECTOR=(glutInitWindowPosition=PROCEDURE)
SYMBOL_VECTOR=(glutInitWindowSize=PROCEDURE)
SYMBOL_VECTOR=(glutCreateSubWindow=PROCEDURE)
SYMBOL_VECTOR=(glutCreateWindow=PROCEDURE)
SYMBOL_VECTOR=(glutDestroyWindow=PROCEDURE)
SYMBOL_VECTOR=(glutDisplayFunc=PROCEDURE)
SYMBOL_VECTOR=(glutEntryFunc=PROCEDURE)
SYMBOL_VECTOR=(glutGetWindow=PROCEDURE)
SYMBOL_VECTOR=(glutKeyboardFunc=PROCEDURE)
SYMBOL_VECTOR=(glutMotionFunc=PROCEDURE)
SYMBOL_VECTOR=(glutMouseFunc=PROCEDURE)
SYMBOL_VECTOR=(glutPassiveMotionFunc=PROCEDURE)
SYMBOL_VECTOR=(glutReshapeFunc=PROCEDURE)
SYMBOL_VECTOR=(glutSetWindow=PROCEDURE)
SYMBOL_VECTOR=(glutSpecialFunc=PROCEDURE)
SYMBOL_VECTOR=(glutSwapBuffers=PROCEDURE)
SYMBOL_VECTOR=(glutVisibilityFunc=PROCEDURE)
SYMBOL_VECTOR=(glutAddMenuEntry=PROCEDURE)
SYMBOL_VECTOR=(glutAddSubMenu=PROCEDURE)
SYMBOL_VECTOR=(glutAttachMenu=PROCEDURE)
SYMBOL_VECTOR=(glutChangeToMenuEntry=PROCEDURE)
SYMBOL_VECTOR=(glutChangeToSubMenu=PROCEDURE)
SYMBOL_VECTOR=(glutCreateMenu=PROCEDURE)
SYMBOL_VECTOR=(glutDestroyMenu=PROCEDURE)
SYMBOL_VECTOR=(glutDetachMenu=PROCEDURE)
SYMBOL_VECTOR=(glutGetMenu=PROCEDURE)
SYMBOL_VECTOR=(glutMenuStateFunc=PROCEDURE)
SYMBOL_VECTOR=(glutRemoveMenuItem=PROCEDURE)
SYMBOL_VECTOR=(glutSetMenu=PROCEDURE)
SYMBOL_VECTOR=(glutIdleFunc=PROCEDURE)
SYMBOL_VECTOR=(glutMainLoop=PROCEDURE)
SYMBOL_VECTOR=(glutPostRedisplay=PROCEDURE)
SYMBOL_VECTOR=(glutTimerFunc=PROCEDURE)
SYMBOL_VECTOR=(glutSolidCone=PROCEDURE)
SYMBOL_VECTOR=(glutSolidCube=PROCEDURE)
SYMBOL_VECTOR=(glutSolidDodecahedron=PROCEDURE)
SYMBOL_VECTOR=(glutSolidIcosahedron=PROCEDURE)
SYMBOL_VECTOR=(glutSolidOctahedron=PROCEDURE)
SYMBOL_VECTOR=(glutSolidSphere=PROCEDURE)
SYMBOL_VECTOR=(glutSolidTetrahedron=PROCEDURE)
SYMBOL_VECTOR=(glutSolidTorus=PROCEDURE)
SYMBOL_VECTOR=(glutWireCone=PROCEDURE)
SYMBOL_VECTOR=(glutWireCube=PROCEDURE)
SYMBOL_VECTOR=(glutWireDodecahedron=PROCEDURE)
SYMBOL_VECTOR=(glutWireIcosahedron=PROCEDURE)
SYMBOL_VECTOR=(glutWireOctahedron=PROCEDURE)
SYMBOL_VECTOR=(glutWireSphere=PROCEDURE)
SYMBOL_VECTOR=(glutWireTetrahedron=PROCEDURE)
SYMBOL_VECTOR=(glutWireTorus=PROCEDURE)
SYMBOL_VECTOR=(glutSolidTeapot=PROCEDURE)
SYMBOL_VECTOR=(glutWireTeapot=PROCEDURE)
SYMBOL_VECTOR=(glutStrokeCharacter=PROCEDURE)
SYMBOL_VECTOR=(glutGet=PROCEDURE)
SYMBOL_VECTOR=(glutCopyColormap=PROCEDURE)
SYMBOL_VECTOR=(glutGetColor=PROCEDURE)
SYMBOL_VECTOR=(glutSetColor=PROCEDURE)
SYMBOL_VECTOR=(glutHideWindow=PROCEDURE)
SYMBOL_VECTOR=(glutIconifyWindow=PROCEDURE)
SYMBOL_VECTOR=(glutPopWindow=PROCEDURE)
SYMBOL_VECTOR=(glutPositionWindow=PROCEDURE)
SYMBOL_VECTOR=(glutPushWindow=PROCEDURE)
SYMBOL_VECTOR=(glutReshapeWindow=PROCEDURE)
SYMBOL_VECTOR=(glutSetIconTitle=PROCEDURE)
SYMBOL_VECTOR=(glutSetWindowTitle=PROCEDURE)
SYMBOL_VECTOR=(glutShowWindow=PROCEDURE)
SYMBOL_VECTOR=(glutBitmapCharacter=PROCEDURE)
SYMBOL_VECTOR=(glutExtensionSupported=PROCEDURE)
SYMBOL_VECTOR=(glutButtonBoxFunc=PROCEDURE)
SYMBOL_VECTOR=(glutDialsFunc=PROCEDURE)
SYMBOL_VECTOR=(glutTabletButtonFunc=PROCEDURE)
SYMBOL_VECTOR=(glutTabletMotionFunc=PROCEDURE)
SYMBOL_VECTOR=(glutSpaceballButtonFunc=PROCEDURE)
SYMBOL_VECTOR=(glutSpaceballMotionFunc=PROCEDURE)
SYMBOL_VECTOR=(glutSpaceballRotateFunc=PROCEDURE)
SYMBOL_VECTOR=(glutDeviceGet=PROCEDURE)
SYMBOL_VECTOR=(glutBitmapLength=PROCEDURE)
SYMBOL_VECTOR=(glutBitmapWidth=PROCEDURE)
SYMBOL_VECTOR=(glutEstablishOverlay=PROCEDURE)
SYMBOL_VECTOR=(glutFullScreen=PROCEDURE)
SYMBOL_VECTOR=(glutGetModifiers=PROCEDURE)
SYMBOL_VECTOR=(glutHideOverlay=PROCEDURE)
SYMBOL_VECTOR=(glutLayerGet=PROCEDURE)
SYMBOL_VECTOR=(glutMenuStatusFunc=PROCEDURE)
SYMBOL_VECTOR=(glutOverlayDisplayFunc=PROCEDURE)
SYMBOL_VECTOR=(glutPostOverlayRedisplay=PROCEDURE)
SYMBOL_VECTOR=(glutRemoveOverlay=PROCEDURE)
SYMBOL_VECTOR=(glutSetCursor=PROCEDURE)
SYMBOL_VECTOR=(glutShowOverlay=PROCEDURE)
SYMBOL_VECTOR=(glutStrokeLength=PROCEDURE)
SYMBOL_VECTOR=(glutStrokeWidth=PROCEDURE)
SYMBOL_VECTOR=(glutUseLayer=PROCEDURE)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
!
! Procedures that should be hidden but happen to be used by the
! test programs.
!
SYMBOL_VECTOR=(__glutFatalError=PROCEDURE)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
SYMBOL_VECTOR=(spare_procedure,spare_procedure,spare_procedure,spare_procedure)
!
! External Data names
!
SYMBOL_VECTOR=(glutStrokeRoman=DATA)
SYMBOL_VECTOR=(glutStrokeMonoRoman=DATA)
SYMBOL_VECTOR=(glutBitmap8By13=DATA)
SYMBOL_VECTOR=(glutBitmap9By15=DATA)
SYMBOL_VECTOR=(glutBitmapTimesRoman10=DATA)
SYMBOL_VECTOR=(glutBitmapTimesRoman24=DATA)
SYMBOL_VECTOR=(glutBitmapHelvetica10=DATA)
SYMBOL_VECTOR=(glutBitmapHelvetica12=DATA)
SYMBOL_VECTOR=(glutBitmapHelvetica18=DATA)
SYMBOL_VECTOR=(spare_data)
SYMBOL_VECTOR=(spare_data,spare_data,spare_data,spare_data)
SYMBOL_VECTOR=(spare_data,spare_data,spare_data,spare_data)
SYMBOL_VECTOR=(spare_data,spare_data,spare_data,spare_data)
SYMBOL_VECTOR=(spare_data,spare_data,spare_data,spare_data)
SYMBOL_VECTOR=(spare_data,spare_data,spare_data,spare_data)
!
! Internal data names that are used by the test programs
!
SYMBOL_VECTOR=(__glutStaleWindowList=DATA)
SYMBOL_VECTOR=(__glutWindowWorkList=DATA)
SYMBOL_VECTOR=(__glutCurrentWindow=DATA)
SYMBOL_VECTOR=(__glutDisplay=DATA)
SYMBOL_VECTOR=(spare_data,spare_data,spare_data,spare_data)
SYMBOL_VECTOR=(spare_data,spare_data,spare_data,spare_data)
SYMBOL_VECTOR=(spare_data,spare_data,spare_data,spare_data)
!
IDENTIFICATION="GLUT v3.0"  ! Glut version
GSMATCH=LEQUAL,1,1
!
glut_8x13.obj
glut_9x15.obj
glut_bitmap.obj
glut_bwidth.obj
glut_cindex.obj
glut_cursor.obj
glut_dials.obj
glut_event.obj
glut_ext.obj
glut_fullscrn.obj
glut_get.obj
glut_hel10.obj
glut_hel12.obj
glut_hel18.obj
glut_init.obj
glut_input.obj
glut_menu.obj
glut_modifier.obj
glut_mroman.obj
glut_overlay.obj
glut_roman.obj
glut_shapes.obj
glut_space.obj
glut_stroke.obj
glut_swidth.obj
glut_tablet.obj
glut_teapot.obj
glut_tr10.obj
glut_tr24.obj
glut_util.obj
glut_win.obj
glut_winmisc.obj
layerutil.obj
! 
build$top:[extensions.lib.gl.glu]decw$openglushr/share
build$top:[extensions.glpeer.commonlib]decw$openglshr/share
lresd$:[syslib]decw$xmulibshr/share
lresd$:[syslib]decw$xextlibshr/share
lresd$:[syslib]decw$xlibshr/share
