!
! @DEC_COPYRIGHT@
!
! HISTORY
! $Log: vms_extra_mms_defs.inc,v $
! Revision 1.1.2.5  1996/02/16  15:16:39  Andy_Vesper
! 	Glut 3.0 for R6
! 	[1996/02/16  14:03:09  Andy_Vesper]
!
! Revision 1.1.2.5  1996/02/13  17:01:51  Andy_Vesper
! 	Glut 3.0
! 	[1996/02/13  16:58:34  Andy_Vesper]
! 
! Revision 1.1.2.4  1996/01/22  15:38:22  Damon_Poole
! 	No longer need to specifically refer to setup. library is now OBJ_LIBRARY
! 	[1996/01/22  15:27:32  Damon_Poole]
! 
! Revision 1.1.2.3  1995/11/14  17:56:33  Andy_Vesper
! 	Directory name change
! 	[1995/11/14  16:31:01  Andy_Vesper]
! 
! Revision 1.1.2.2  1995/10/24  21:34:24  Andy_Vesper
! 	Add support for OpenVMS
! 	[1995/10/24  20:37:23  Andy_Vesper]
! 
! $EndLog$
!
! Special mms commands for extensions/contrib/GL/glut/progs/contrib
!

CLIENT = 1

PROGRAMS = lineblend.exe worms.exe rings.exe agv_example.exe fractals.exe -
	hanoi.exe -
	gears.exe moth.exe noof.exe text3d.exe

! hanoi2 is too unix based; don't bother with it on VMS

all : $(PROGRAMS)
	@ write sys$output "All test programs compiled and linked"

.obj.exe
	link $(mms$source),-
	build$top:[extensions.contrib.gl.libglut]vms_link_glut_tree.opt/opt

agv_example.exe : agv_example.obj agviewer.obj
	link agv_example,agviewer,-
	build$top:[extensions.contrib.gl.libglut]vms_link_glut_tree.opt/opt

fractals.exe : fractals.obj fracviewer.obj rand48.obj
	link fractals,fracviewer,rand48,-
	build$top:[extensions.contrib.gl.libglut]vms_link_glut_tree.opt/opt

lineblend.exe : lineblend.obj rand48.obj
	link lineblend,rand48,-
	build$top:[extensions.contrib.gl.libglut]vms_link_glut_tree.opt/opt

worms.exe : worms.obj rand48.obj
	link worms,rand48,-
	build$top:[extensions.contrib.gl.libglut]vms_link_glut_tree.opt/opt

noof.exe : noof.obj rand48.obj
	link noof,rand48,-
	build$top:[extensions.contrib.gl.libglut]vms_link_glut_tree.opt/opt
