!
! @DEC_COPYRIGHT@
!
! HISTORY
! $Log: vms_extra_mms_defs.inc,v $
! Revision 1.1.2.3  1996/01/22  15:38:28  Damon_Poole
! 	No longer need to specifically refer to setup. library is now OBJ_LIBRARY
! 	[1996/01/22  15:27:47  Damon_Poole]
!
! Revision 1.1.2.2  1995/10/24  21:36:52  Andy_Vesper
! 	Add support for OpenVMS
! 	[1995/10/24  21:10:26  Andy_Vesper]
! 
! $EndLog$
!
! Special mms commands for extensions/contrib/GL/glut/progs/examples
!

PROGRAMS = sphere.exe scene.exe movelight.exe glutplane.exe \
          stroke.exe olympic.exe glutdino.exe dinospin.exe \
          mjkwarp.exe highlight.exe subwin.exe origami.exe sphere2.exe lightlab.exe \
	  bitfont.exe dinoball.exe glpuzzle.exe blender.exe dials.exe stereo.exe \
	  oclip.exe ohidden.exe olight.exe scube.exe spots.exe \
	  abgr.exe stars.exe stenciltst.exe texenv.exe triselect.exe fogtst.exe

CLIENT = 1

all : $(PROGRAMS)
	@ write sys$output "All test programs compiled and linked"

.obj.exe
	link $(mms$source),-
	build$top:[extensions.contrib.gl.glut]vms_link_glut_tree.opt/opt

mjkwarp.exe : mjkwarp.obj mjkimage.obj
	link mjkwarp,mjkimage,-
	build$top:[extensions.contrib.gl.glut]vms_link_glut_tree.opt/opt

dinospin.exe : dinospin.obj trackball.obj
	link dinospin,trackball,-
	build$top:[extensions.contrib.gl.glut]vms_link_glut_tree.opt/opt

glpuzzle.exe : glpuzzle.obj trackball.obj
	link glpuzzle,trackball,-
	build$top:[extensions.contrib.gl.glut]vms_link_glut_tree.opt/opt

olympic.exe : olympic.obj rand48.obj
	link olympic,rand48,-
	build$top:[extensions.contrib.gl.glut]vms_link_glut_tree.opt/opt
