/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log: glut_space.c,v $
 * Revision 1.1.2.3  1996/02/16  15:15:49  Andy_Vesper
 * 	Glut 3.0 for R6
 * 	[1996/02/16  14:00:20  Andy_Vesper]
 *
 * Revision 1.1.2.3  1996/02/12  15:43:13  Andy_Vesper
 * 	Glut 3.0
 * 	[1996/02/09  21:15:30  Andy_Vesper]
 * 
 * Revision 1.1.2.2  1995/04/26  15:02:52  John_Dennis
 * 	new files from GLUT 2.1 release
 * 	[1995/04/25  15:50:58  John_Dennis]
 * 
 * $EndLog$
 */

/* Copyright (c) Mark J. Kilgard, 1994. */

/* This program is freely distributable without licensing fees
   and is provided without guarantee or warrantee expressed or
   implied. This program is -not- in the public domain. */

#include "glutint.h"

void
glutSpaceballMotionFunc(GLUTspaceMotionCB spaceMotionFunc)
{
  __glutCurrentWindow->spaceMotion = spaceMotionFunc;
  __glutUpdateInputDeviceMaskFunc = __glutUpdateInputDeviceMask;
  __glutPutOnWorkList(__glutCurrentWindow,
    GLUT_DEVICE_MASK_WORK);
}

void
glutSpaceballRotateFunc(GLUTspaceRotateCB spaceRotateFunc)
{
  __glutCurrentWindow->spaceRotate = spaceRotateFunc;
  __glutUpdateInputDeviceMaskFunc = __glutUpdateInputDeviceMask;
  __glutPutOnWorkList(__glutCurrentWindow,
    GLUT_DEVICE_MASK_WORK);
}

void
glutSpaceballButtonFunc(GLUTspaceButtonCB spaceButtonFunc)
{
  __glutCurrentWindow->spaceButton = spaceButtonFunc;
  __glutUpdateInputDeviceMaskFunc = __glutUpdateInputDeviceMask;
  __glutPutOnWorkList(__glutCurrentWindow,
    GLUT_DEVICE_MASK_WORK);
}
