/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log: stereo.c,v $
 * Revision 1.1.2.4  1996/02/21  20:15:57  Andy_Vesper
 * 	Glut v3.0
 * 	[1996/02/21  18:53:42  Andy_Vesper]
 *
 * Revision 1.1.2.3  1995/10/24  21:36:39  Andy_Vesper
 * 	Add support for OpenVMS
 * 	[1995/10/24  20:59:02  Andy_Vesper]
 * 
 * Revision 1.1.2.2  1995/04/26  15:10:54  John_Dennis
 * 	new files from GLUT 2.1 release
 * 	[1995/04/25  15:57:39  John_Dennis]
 * 
 * $EndLog$
 */

/* Copyright (c) Mark J. Kilgard, 1994. */

/* This program is freely distributable without licensing fees 
   and is provided without guarantee or warrantee expressed or 
   implied. This program is -not- in the public domain. */

#include <stdlib.h>
#include <stdio.h>
#include <GL/glut.h>

void
display(void)
{
  glDrawBuffer(GL_BACK_LEFT);
  glClearColor(1.0, 0.0, 0.0, 1.0); /* red */
  glClear(GL_COLOR_BUFFER_BIT);
  glDrawBuffer(GL_BACK_RIGHT);
  glClearColor(0.0, 0.0, 1.0, 1.0); /* blue */
  glClear(GL_COLOR_BUFFER_BIT);
}

int
main(int argc, char **argv)
{
  glutInit(&argc, argv);
  glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB | GLUT_STEREO);
  glutCreateWindow("stereo example");
  glutDisplayFunc(display);
  glutMainLoop();
}
