/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log: test11.c,v $
 * Revision 1.1.2.5  1996/03/07  20:45:43  Andy_Vesper
 * 	Glut v3.0 Feb 24, 1996
 * 	[1996/03/07  19:06:30  Andy_Vesper]
 *
 * Revision 1.1.2.4  1996/02/16  15:18:13  Andy_Vesper
 * 	Glut 3.0 for R6
 * 	[1996/02/16  14:07:59  Andy_Vesper]
 * 
 * Revision 1.1.2.4  1996/02/12  15:44:14  Andy_Vesper
 * 	Glut 3.0
 * 	[1996/02/09  20:57:44  Andy_Vesper]
 * 
 * Revision 1.1.2.3  1995/10/24  21:38:17  Andy_Vesper
 * 	Fix for OpenVMS
 * 	[1995/10/24  19:44:59  Andy_Vesper]
 * 
 * Revision 1.1.2.2  1995/04/26  15:14:23  John_Dennis
 * 	new files from GLUT 2.1 release
 * 	[1995/04/25  16:00:47  John_Dennis]
 * 
 * $EndLog$
 */

/* Copyright (c) Mark J. Kilgard, 1994. */

/* This program is freely distributable without licensing fees 
   and is provided without guarantee or warrantee expressed or 
   implied. This program is -not- in the public domain. */

#ifdef __sgi
#include <malloc.h>
#endif
#include <stdio.h>
#include <stdlib.h>
#include <GL/glut.h>

int
main(int argc, char **argv)
{
#if defined(__sgi)  && !defined(REDWOOD)
  /* XXX IRIX 6.0.1 mallopt(M_DEBUG, 1) busted. */
  mallopt(M_DEBUG, 1);
#endif
  glutInit(&argc, argv);
  printf("Keyboard:  %s\n", glutDeviceGet(GLUT_HAS_KEYBOARD) ? "YES" : "no");
  printf("Mouse:     %s\n", glutDeviceGet(GLUT_HAS_MOUSE) ? "YES" : "no");
  printf("Spaceball: %s\n", glutDeviceGet(GLUT_HAS_SPACEBALL) ? "YES" : "no");
  printf("Dials:     %s\n", glutDeviceGet(GLUT_HAS_DIAL_AND_BUTTON_BOX) ? "YES" : "no");
  printf("Tablet:    %s\n\n", glutDeviceGet(GLUT_HAS_TABLET) ? "YES" : "no");
  printf("Mouse buttons:      %d\n", glutDeviceGet(GLUT_NUM_MOUSE_BUTTONS));
  printf("Spaceball buttons:  %d\n", glutDeviceGet(GLUT_NUM_SPACEBALL_BUTTONS));
  printf("Button box buttons: %d\n", glutDeviceGet(GLUT_NUM_BUTTON_BOX_BUTTONS));
  printf("Dials:              %d\n", glutDeviceGet(GLUT_NUM_DIALS));
  printf("Tablet buttons:     %d\n\n", glutDeviceGet(GLUT_NUM_TABLET_BUTTONS));
  printf("PASS: test11\n");
  return 0;             /* ANSI C requires main to return int. */
}
